Module
Inhalte
Index 🔎︎

# Funktion ChrW [VBA]

Gibt das zum angegebenen Zeichencode gehörige Unicode-Zeichen zurück.

Diese Funktion oder Konstante ist aktiviert, wenn die Anweisung Option VBASupport 1 vor dem ausführbaren Programmcode in einem Modul platziert wurde.

## Syntax:

    ChrW(Ausdruck As Integer)

## Rückgabewert:

Zeichenkette

## Parameter:

Ausdruck: Numerische Variablen, die einen gültigen 16-Bit Unicode-Wert (0-65535) darstellen. Ein leerer Wert gibt den Fehlercode 5 zurück. Ein Wert außerhalb des Bereichs [0,65535] gibt den Fehlercode 6 zurück.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

6 Überlauf

## Beispiel:

    Sub ExampleChrW

     ' Dieses Beispiel fügt die griechischen Buchstaben Alpha und Omega in eine Zeichenkette ein.

     MsgBox "Von "+ ChrW(913)+" bis " + ChrW(937)

     ' Bei der Ausgabe erscheint im Dialog: Von Α bis Ω

    End Sub

Verwandte Themen

Chr

Asc

AscW